/* 
 * File:   USART.h
 * Author: chengo_cc
 *
 * Created on 30 December 2015, 1:14 AM
 */

#ifndef USART_H
//------------------------------------------------------------------------------
void USART_init()
{
  TXSTA = 0x10;   //Slave mode, Synchronous Mode
  RCSTA = 0x90;   //Set SPEN and CREN bits
  TRISB1 = 1;     //DT: Data
  TRISB2 = 1;     //CK: Clock
}
//------------------------------------------------------------------------------
void USART_write(char data)
{
  while(!TRMT);  //Poll if TSR is Full  TRMT   TXIF
  TXREG = data;
}
//------------------------------------------------------------------------------
char USART_read()
{
  while(!RCIF);
  return RCREG;
}
//------------------------------------------------------------------------------
#define	USART_H

#ifdef	__cplusplus
extern "C" {
#endif




#ifdef	__cplusplus
}
#endif

#endif	/* USART_H */