/*
 * File:   serialRx.c
 * Author: chengo_cc
 *
 * Created on 29 December 2015, 10:01 PM
 */

#include <stdio.h>
#include <stdlib.h>
#include <pic.h>
//-------------------------------LCD pins---------------------------------------
#define RS         RA0
#define EN         RA1
#define D4         RB4
#define D5         RB5
#define D6         RB6
#define D7         RB7
//---------------------------LCD pin directions----------------------------------
#define RS_dir     TRISA0
#define EN_dir     TRISA1
#define D4_dir     TRISB4
#define D5_dir     TRISB5
#define D6_dir     TRISB6
#define D7_dir     TRISB7
//------------------------------------------------------------------------------
#include "LCD.h"
#include "USART.h"
//------------------------------------------------------------------------------
int main(int argc, char** argv)
{
  CMCON = 7 ;
  LCD_init();
  USART_init();

  while(1)
  {
    LCD_data(USART_read());
  }

  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------