/* 
 * File:   serialTx.c
 * Author: chengo_cc
 *
 * Created on 29 December 2015, 9:22 PM
 */

#include <stdio.h>
#include <stdlib.h>
#include <pic.h>
#define  XTAL_FREQ 4000000
//------------------------------------------------------------------------------
#include "delay.h"
#include "USART.h"
#include "ADC.h"
//------------------------------------------------------------------------------
float getTemp(char temp);
char stringTemp[6];
//------------------------------------------------------------------------------
int main(int argc, char** argv)
{
  USART_init(9600);
  ADC_init();

  while(1)
  {
    sprintf(stringTemp, "Channel 5: %3.2f", getTemp(ADC_read(4)));
    USART_string(stringTemp);
  }

  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------//------------------------------------------------------------------------------
float getTemp(char temp)
{
  float temperature = temp * (5.0/1024);  // (5.0/1024) = Resolution
  return (temperature * 100);
}
//------------------------------------------------------------------------------